Subject: Re: [Bitcoin-development] Introduction

From: "Luke-Jr" <[email-masked]>
Date: Mon, 22 Aug 2011 15:49:36 -0400

On Monday, August 22, 2011 3:30:04 PM Douglas Huff wrote:
> On Aug 22, 2011 2:26 PM, "Fred Concklin" <[email-masked]> wrote:
> > I'm also interested in work to daemonize bitcoin on boot and furthering
> > work to bring bitcoin into general coding and implementation paradigms
> > seen on GNU/Linux platforms.
> 
> What? It already works fine in this regard using standard tools. Especially
> easy with daemontools/runit.

He said standard *coding and implementation paradigms*. This has nothing to do 
with integration with some non-standard "init replacement" that goes against 
the whole design of Unix.

What I understand this to mean, is properly abstracting the components such 
that the node, wallet, and GUI can work together while being distinct parts.
In this sense, Fred, you may be interested in working on coming up with a 
standard for a https://en.bitcoin.it/wiki/Wallet_protocol